textures/dade_rage/water01
{
	qer_editorimage textures/liquids/pool3d_3.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.5 0.5 0 0.5 
	qer_trans 0.2
	q3map_globaltexture
	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbGen const ( 0.133333 0.266667 0.101961 )
		tcMod scale 2 0.3
		tcMod transform 1 1 1 0 1 1
		tcMod scroll -0.2 0.001
	}
	{
		map textures/liquids/slime7.tga
		blendfunc gl_dst_color gl_one
		rgbGen const ( 0.192157 0.333333 0.133333 )
		tcMod scale 2 0.5
		tcMod transform 1 1 1 0 1 1
		tcMod scroll -0.5 -0.02
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen const ( 0.0823529 0.407843 0.0901961 )
		tcGen lightmap 
	}
}

textures/dade_rage/water02
{
	qer_editorimage textures/liquids/pool3d_3.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.5 0.5 0 0.5 
	qer_trans 0.2
	q3map_globaltexture
	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbGen wave sin 0 0.2 0 0.3 
		tcMod scale 1 0.3
		tcMod transform 0 1 1 0 0 1
		tcMod scroll -0.02 0.001
	}
	{
		map textures/liquids/slime7.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 1 0.5
		tcMod transform -1 1 1 0 -1 1
		tcMod scroll 0.05 -0.05
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen const ( 0.0901961 0.443137 0.101961 )
		tcGen lightmap 
	}
}


textures/dade_rage/glasswater
	{
		qer_editorimage textures/dade_rage/glasswater.tga
		q3map_lightimage textures/dade_rage/glasswater.tga
		q3map_backsplash 0 0
		q3map_surfacelight 2000
		q3map_lightsubdivide 32
		surfaceparm nolightmap
		surfaceparm trans
	{
		map textures/dade_rage/glasswater.tga
		tcGen environment
		tcMod turb 0 0.1 0 0.1
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
		blendfunc GL_ONE GL_ONE
	}
}

textures/dade_rage/weapon01
{
	surfaceparm trans	
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap textures/dade_rage/weapon01.tga
		tcMod rotate 256 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sfx/beam_blue
{
  qer_editorimage textures/sfx/beam_blue4.tga
	surfaceparm trans	
  surfaceparm nomarks	
  surfaceparm nonsolid
	surfaceparm nolightmap
  qer_trans .6
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam_blue4.tga
		tcMod Scroll .3 0
    blendFunc add
  }
}


textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam.tga
  surfaceparm trans	
  surfaceparm nomarks	
  surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam_1.tga
    blendFunc add
  }
}

textures/liquids/clear_ripple1
{
	qer_editorimage textures/holodeck_training/lava2_mult.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/holodeck_training/lava2_mult.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/effects/invismap.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/liquids/bubbles.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/skies/nightsky_xian_dm1
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 300
	q3map_sun 1 1 1 100 -41 58
	qer_editorimage textures/skies/nightsky_nocloud.tga
	skyparms env/stars - -
}

